# Serialized Form

- ## Package org.apache.avro

  - ### Class org.apache.avro.AvroMissingFieldException extends AvroRuntimeException implements Serializable

    - ### Serialized Fields

      - #### chainOfFields

            List<E> chainOfFields

  - ### Class org.apache.avro.AvroRemoteException extends Exception implements Serializable

    - ### Serialized Fields

      - #### value

            Object value

  - ### Class org.apache.avro.AvroRuntimeException extends RuntimeException implements Serializable

  - ### Class org.apache.avro.AvroTypeException extends AvroRuntimeException implements Serializable

  - ### Class org.apache.avro.InvalidAvroMagicException extends IOException implements Serializable

  - ### Class org.apache.avro.InvalidNumberEncodingException extends IOException implements Serializable

  - ### Class org.apache.avro.Schema extends JsonProperties implements Serializable

    serialVersionUID:
      1L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()

    - ### Serialized Fields

      - #### type

            Schema.Type type

      - #### logicalType

            LogicalType logicalType

      - #### hashCode

            int hashCode

  - ### Class org.apache.avro.SchemaBuilderException extends AvroRuntimeException implements Serializable

  - ### Class org.apache.avro.SchemaParseException extends AvroRuntimeException implements Serializable

  - ### Class org.apache.avro.SchemaValidationException extends Exception implements Serializable

  - ### Class org.apache.avro.SystemLimitException extends AvroRuntimeException implements Serializable

  - ### Class org.apache.avro.UnknownAvroCodecException extends IOException implements Serializable

  - ### Class org.apache.avro.UnresolvedUnionException extends AvroRuntimeException implements Serializable

    - ### Serialized Fields

      - #### unresolvedDatum

            Object unresolvedDatum

      - #### unionSchema

            Schema unionSchema

- ## Package org.apache.avro.file

  - ### Class org.apache.avro.file.DataFileWriter.AppendWriteException extends RuntimeException implements Serializable

- ## Package org.apache.avro.ipc

  - ### Class org.apache.avro.ipc.HandshakeRequest extends SpecificRecordBase implements Serializable

    serialVersionUID:
      6293635732927376057L

    - ### Serialization Methods

      - #### readExternal

            public void readExternal(ObjectInput in)
                              throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public void writeExternal(ObjectOutput out)
                               throws IOException

        Throws:
          `IOException`

  - ### Class org.apache.avro.ipc.HandshakeResponse extends SpecificRecordBase implements Serializable

    serialVersionUID:
      1055336403110395392L

    - ### Serialization Methods

      - #### readExternal

            public void readExternal(ObjectInput in)
                              throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public void writeExternal(ObjectOutput out)
                               throws IOException

        Throws:
          `IOException`

  - ### Class org.apache.avro.ipc.MD5 extends SpecificFixed implements Serializable

    serialVersionUID:
      6731146766938681575L

    - ### Serialization Methods

      - #### readExternal

            public void readExternal(ObjectInput in)
                              throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public void writeExternal(ObjectOutput out)
                               throws IOException

        Throws:
          `IOException`

  - ### Class org.apache.avro.ipc.ResponderServlet extends javax.servlet.http.HttpServlet implements Serializable

    - ### Serialized Fields

      - #### responder

            Responder responder

- ## Package org.apache.avro.ipc.jetty

  - ### Class org.apache.avro.ipc.jetty.StaticServlet extends org.eclipse.jetty.servlet.DefaultServlet implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.avro.ipc.stats

  - ### Class org.apache.avro.ipc.stats.Histogram.SegmenterException extends RuntimeException implements Serializable

  - ### Class org.apache.avro.ipc.stats.StatsServlet extends javax.servlet.http.HttpServlet implements Serializable

    - ### Serialized Fields

      - #### statsPlugin

            StatsPlugin statsPlugin

      - #### velocityEngine

            org.apache.velocity.app.VelocityEngine velocityEngine

- ## Package org.apache.avro.message

  - ### Class org.apache.avro.message.BadHeaderException extends AvroRuntimeException implements Serializable

  - ### Class org.apache.avro.message.MissingSchemaException extends AvroRuntimeException implements Serializable

- ## Package org.apache.avro.path

  - ### Class org.apache.avro.path.TracingAvroTypeException extends AvroTypeException implements Serializable

    - ### Serialized Fields

      - #### reversePath

            List<E> reversePath

  - ### Class org.apache.avro.path.TracingClassCastException extends ClassCastException implements Serializable

    - ### Serialized Fields

      - #### cause

            ClassCastException cause

      - #### datum

            Object datum

      - #### expected

            Schema expected

      - #### customCoderUsed

            boolean customCoderUsed

      - #### reversePath

            List<E> reversePath

  - ### Class org.apache.avro.path.TracingNullPointException extends NullPointerException implements Serializable

    - ### Serialized Fields

      - #### cause

            NullPointerException cause

      - #### expected

            Schema expected

      - #### customCoderUsed

            boolean customCoderUsed

      - #### reversePath

            List<E> reversePath

- ## Package org.apache.avro.specific

  - ### Class org.apache.avro.specific.SpecificExceptionBase extends AvroRemoteException implements Serializable

    - ### Serialization Methods

      - #### readExternal

            public abstract void readExternal(ObjectInput in)
                                       throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public abstract void writeExternal(ObjectOutput out)
                                        throws IOException

        Throws:
          `IOException`

  - ### Class org.apache.avro.specific.SpecificFixed extends Object implements Serializable

    - ### Serialization Methods

      - #### readExternal

            public abstract void readExternal(ObjectInput in)
                                       throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public abstract void writeExternal(ObjectOutput out)
                                        throws IOException

        Throws:
          `IOException`

  - ### Class org.apache.avro.specific.SpecificRecordBase extends Object implements Serializable

    - ### Serialization Methods

      - #### readExternal

            public void readExternal(ObjectInput in)
                              throws IOException

        Throws:
          `IOException`

      - #### writeExternal

            public void writeExternal(ObjectOutput out)
                               throws IOException

        Throws:
          `IOException`

- ## Package org.apache.avro.util

  - ### Class org.apache.avro.util.Utf8 extends Object implements Serializable

    - ### Serialization Methods

      - #### readExternal

            public void readExternal(ObjectInput in)
                              throws IOException,
                                     ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeExternal

            public void writeExternal(ObjectOutput out)
                               throws IOException

        Throws:
          `IOException`

- ## Package org.apache.avro.util.springframework

  - ### Class org.apache.avro.util.springframework.ConcurrentReferenceHashMap.Segment extends ReentrantLock implements Serializable

    - ### Serialized Fields

      - #### referenceManager

            ConcurrentReferenceHashMap.ReferenceManager referenceManager

      - #### initialSize

            int initialSize

      - #### references

            ConcurrentReferenceHashMap.Reference<K,V>[] references

        Array of references indexed using the low order bits from the hash. This property should only be set along with `resizeThreshold`.

      - #### count

            AtomicInteger count

        The total number of references contained in this segment. This includes chained references and references that have been garbage collected but not purged.

      - #### resizeThreshold

            int resizeThreshold

        The threshold when resizing of the references should occur. When `count` exceeds this value references will be resized.

- ## Package org.apache.trevni

  - ### Class org.apache.trevni.ColumnFileMetaData extends MetaData<ColumnFileMetaData> implements Serializable

  - ### Class org.apache.trevni.ColumnMetaData extends MetaData<ColumnMetaData> implements Serializable

    - ### Serialized Fields

      - #### name

            String name

      - #### type

            ValueType type

      - #### values

            boolean values

      - #### parent

            ColumnMetaData parent

      - #### isArray

            boolean isArray

  - ### Class org.apache.trevni.MetaData extends LinkedHashMap<String,byte[]> implements Serializable

    - ### Serialized Fields

      - #### defaults

            MetaData<T extends MetaData> defaults

  - ### Class org.apache.trevni.TrevniRuntimeException extends RuntimeException implements Serializable

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.